For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • GETRetrieve employee payslip records
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Payslips

Retrieve employee payslip records

GET
/eor/workers/:worker_id/payslips
GET
/rest/v2/eor/workers/:worker_id/payslips
$curl https://api.letsdeel.com/rest/v2/eor/workers/123e4567-e89b-12d3-a456-426614174000/payslips \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "pay-001",
5 "to": "2023-10-31T23:59:59Z",
6 "from": "2023-10-01T00:00:00Z",
7 "status": "PUBLISHED"
8 },
9 {
10 "id": "pay-002",
11 "to": "2023-11-30T23:59:59Z",
12 "from": "2023-11-01T00:00:00Z",
13 "status": "PUBLISHED"
14 }
15 ]
16}

Returns a list of payslip records for the specified worker. Token scopes: payslips:read

Was this page helpful?
Previous

Accept EOR project assignment as client

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequired
The ID of the worker whose payslips are being retrieved.

Response

Payslip records successfully retrieved.
datalist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error